Skip to main content
GET
/
waap
/
v1
/
analytics
/
requests
Get request log data
curl --request GET \
  --url https://api.gcore.com/waap/v1/analytics/requests \
  --header 'Authorization: <api-key>'
{
  "limit": 123,
  "offset": 123,
  "count": 123,
  "results": [
    {
      "id": "<string>",
      "path": "<string>",
      "client_ip": "<string>",
      "method": "<string>",
      "rule_name": "<string>",
      "country": "<string>",
      "action": "<string>",
      "rule_id": "<string>",
      "domain": "<string>",
      "domain_id": 123,
      "user_agent": "<string>",
      "user_agent_client": "<string>",
      "organization": "<string>",
      "request_time": 123,
      "reference_id": "<string>",
      "status_code": 123,
      "traffic_types": "<string>",
      "decision": "blocked",
      "optional_action": "captcha",
      "session_id": "",
      "scheme": "https",
      "http_version": "1.1",
      "ja3": "e7d705a3286e19ea42f587b344ee6865"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

domains
integer[]

List of domain IDs. Empty list means all domains belonging to the current account.

Domain ID

Example:
[1, 2, 3]
ordering
string

Sort data by given field.

Examples:

"userAgent"

"-requestTime"

start
string
required

Filter data items starting from a specified date in ISO 8601 format

Example:

"2024-04-13T00:00:00+01:00"

end
string | null

Filter data items up to a specified end date in ISO 8601 format. If not provided, defaults to the current date and time.

Example:

"2024-04-14T12:00:00Z"

limit
integer
default:100

Number of items to return

Required range: 0 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 100000
ips
string<ipvanyaddress>[]

Filter traffic data by client IP.

Example:
["1.2.3.4", " 2001:678:194::3c25:ddad"]
path
string | null

Filter by URL path. '*' is wildcard.

Example:

"/home"

countries
string[]

Filter data by a country code of the originating IP address in ISO 3166-1 alpha-2 format.

Pattern: ^\w{2}$
Example:
["DE", "MY"]
status_codes
integer[]

Filter data by HTTP response status code.

Required range: 100 <= x <= 599
Example:
["403", "499"]
http_methods
enum<string>[]

Filter by HTTP methods

An HTTP method of a request.

Available options:
DELETE,
GET,
HEAD,
OPTIONS,
PATCH,
POST,
PUT,
TRACE
Example:
["GET", "HEAD"]
reference_ids
string[]

Filter data by reference IDs.

Pattern: ^[a-f0-9]{32}$
request_ids
string[]

Filter data by request IDs.

Pattern: ^[a-f0-9]{32}-[0-9]{6}$
session_ids
string[]

Filter data by session IDs.

Pattern: ^[a-f0-9]{32}$
security_rule_names
string[]

Filter data by name of a security rule matched the request.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_ ~!@#$%^&*()+\[\]{}|.,;:<>?/-]*$
Example:
["SQL injection"]
decision
enum<string>[]

Filter data by decision.

Filter data by the event decision.

Available options:
blocked,
monitored,
allowed,
passed
Example:
["allowed", "blocked"]
optional_action
enum<string>[]

Filter data by optional action.

An optional action that may be applied in addition to the primary decision.

Available options:
captcha,
challenge
Example:
["captcha", "challenge"]
exclude_ips
string<ipvanyaddress>[]

Exclude traffic data by client IP.

Example:
["1.2.3.4", "2001:678:194::3c25:ddad"]
exclude_countries
string[]

Exclude data by a country code of the originating IP address in ISO 3166-1 alpha-2 format.

Pattern: ^\w{2}$
Example:
["DE", "MY"]
exclude_session_ids
string[]

Exclude data by session IDs.

Pattern: ^[a-f0-9]{32}$
exclude_reference_ids
string[]

Exclude data by reference IDs.

Pattern: ^[a-f0-9]{32}$
exclude_security_rule_names
string[]

Exclude data by name of a security rule matched the request.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_ ~!@#$%^&*()+\[\]{}|.,;:<>?/-]*$
Example:
["SQL injection"]
exclude_domains
integer[]

Exclude data by domain ID.

ja3
string | null

Filter by JA3 TLS client fingerprint. When present, the value must be exactly 32 hexadecimal characters (mixed case allowed) and is case-folded to lowercase when the backend filter is built. Omit the parameter entirely to apply no JA3 filter.

Pattern: ^[0-9a-fA-F]{32}$
Example:

"e7d705a3286e19ea42f587b344ee6865"

user_agent
string | null

Include entries whose user agent contains the supplied text, case-insensitive partial match. Omit the parameter to apply no user agent text filter.

Maximum string length: 300
Example:

"Mozilla/5.0"

user_agent_clients
string[]

Include entries whose parsed user agent client exactly equals any supplied value. Omit or provide an empty list to apply no user agent client filter.

Maximum array length: 10
Maximum string length: 50
Example:
["Chrome", "Firefox"]
user_agent_devices
string[]

Include entries whose parsed user agent device exactly equals any supplied value. Omit or provide an empty list to apply no user agent device filter.

Maximum array length: 10
Maximum string length: 50
Example:
["mac", "Nokia", "PlayStation"]
tags
string[]

Include entries whose tag exactly equals any supplied value. Omit or provide an empty list to apply no tag filter.

Maximum array length: 5
Maximum string length: 50
Example:
["evasiveclient", "injectionattack"]
organizations
string[]

Include entries whose organization exactly equals any supplied value. Omit or provide an empty list to apply no organization filter.

Maximum array length: 10
Maximum string length: 100
Example:
["Example Org", "Acme Corp"]
exclude_user_agent
string | null

Exclude entries whose user agent contains the supplied text, case-insensitive partial match. Omit the parameter to apply no user agent text exclusion.

Maximum string length: 300
Example:

"python-requests"

exclude_user_agent_clients
string[]

Exclude entries whose parsed user agent client exactly equals any supplied value. Omit or provide an empty list to apply no user agent client exclusion.

Maximum array length: 10
Maximum string length: 50
Example:
["OpenAI GPTBot", "Uptimerobot"]
exclude_user_agent_devices
string[]

Exclude entries whose parsed user agent device exactly equals any supplied value. Omit or provide an empty list to apply no user agent device exclusion.

Maximum array length: 10
Maximum string length: 50
Example:
["SMART TV"]
exclude_ja3
string | null

Exclude entries whose JA3 TLS client fingerprint equals the supplied value. Must be exactly 32 hexadecimal characters (mixed case allowed) and is case-folded to lowercase when the backend filter is built. Omit the parameter to apply no JA3 exclusion.

Pattern: ^[0-9a-fA-F]{32}$
Example:

"e7d705a3286e19ea42f587b344ee6865"

exclude_tags
string[]

Exclude entries whose tag exactly equals any supplied value. Omit or provide an empty list to apply no tag exclusion.

Maximum array length: 5
Maximum string length: 50
Example:
["mousedevice"]
exclude_organizations
string[]

Exclude entries whose organization exactly equals any supplied value. Omit or provide an empty list to apply no organization exclusion.

Maximum array length: 10
Maximum string length: 100
Example:
["Acme corp"]
exclude_status_codes
integer[]

Exclude entries with any of the given HTTP response status codes.

Required range: 100 <= x <= 599
Example:
["500", "501"]
exclude_http_methods
enum<string>[]

Exclude entries with any of the given HTTP methods.

An HTTP method of a request.

Available options:
DELETE,
GET,
HEAD,
OPTIONS,
PATCH,
POST,
PUT,
TRACE
Example:
["POST", "PUT"]
exclude_optional_action
enum<string>[]

Exclude entries that match any of the given optional action values.

An optional action that may be applied in addition to the primary decision.

Available options:
captcha,
challenge
Example:
["captcha", "challenge"]
exclude_decision
enum<string>[]

Exclude entries that match any of the given decisions.

Decision applied to a request.

Available options:
blocked,
monitored,
allowed,
passed
Example:
["allowed", "blocked"]
exclude_path
string | null

Exclude entries that match the given URL path pattern; '*' is wildcard.

Example:

"/home"

Response

Successful Response

limit
integer
required

Number of items requested in the response

offset
integer
required

Items response offset used

count
integer
required

Number of items contain in the response

results
RequestSummary · object[]
required

List of items returned in the response following given criteria